/**
 * i18n for hypersrc
 */
/*
xgettext -j -k_ -kN_ -o aaa.po *.c *.h
msgfmt  -o aaa.mo aaa.po
mv aaa.mo  locale/zh_CN/LC_MESSAGES
 */
#ifndef __I18N_H_
#define __I18N_H_

#ifdef ENABLE_NLS
# include <locale.h>
# include <libintl.h>
//# ifdef gettext_noop
//#  define N_(string) gettext_noop(string)
//# else
//#  define N_(string) (string)
//# endif
#else
# define _(string) (string)
# define N_(string) (string)
# define bindtextdomain(domain,directory)
# define bind_textdomain_codeset(domain,codeset)
# define textdomain(domain)
# define setlocal(a,b)
#endif

#endif //__I18N_H_

