/*
 * author: lvjinhua
 * create date: 2006.10.22
 * modify date:
 *
 * Functions for control the opened modules(files)
 */
#ifndef __MODULE_OPENED_
#define __MODULE_OPENED_

gboolean
SaveActiveFile(void);

gboolean
SaveFile(const gchar *fileName,
		 const gchar *stream,
		       gsize  size);

gboolean
FileExists(const gchar *fileName);

gint
AskSaveOrNot(void);

gchar *
GetMainTextViewContents();

gboolean
SaveNewFile(const module_t* pModule);

gboolean
SaveFileAs(const module_t *pModule);

#endif //__MODULE_OPENED_

