/******************************************************************************
 * $Id: common.h,v 1.5 2004/09/22 01:14:27 jimb Exp $
 * @file
 * @author  Jim Brooks http://www.jimbrooks.org
 * @brief   Common header.
 ******************************************************************************/

#ifndef COMMON_H
#define COMMON_H

#if 0
#define G_DISABLE_ASSERT
#endif

#define malloc malloc_USE_GLIB_INSTEAD_YOU_BIG_DUMMY
#define free   free_USE_GLIB_INSTEAD_YOU_BIG_DUMMY

#include <stdlib.h>
#include <stdio.h>
#include <gtk/gtk.h>
//#include <glib/gi18n.h> // version 2.4 or higher (lv)
#include <libgnomeui-2.0/gnome.h> //lv
#include <gdk/gdkkeysyms.h> // lv
#include <string.h>
#include <strings.h>
#include <ctype.h>

#ifdef HYPERSRC_THREADS
#include <pthread.h>
#ifndef G_THREADS_IMPL_POSIX
#error "HYPERSRC_THREADS is defined, but this host appears to lack POSIX threads."
#endif
#endif

#include "i18n.h"
#include "utils_unicode.h"
#include "defines.h"
#include "types.h"
#include "globals.h"
#include "utils.h"
#include "utils_inline.h"

#endif /* COMMON_H */
